/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GuestInfo.java 9 2011-06-14 14:44:07Z dangtran $
 *
 */

package org.ow2.sirocco.vmm.api;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class GuestInfo implements Serializable {
    private static final long serialVersionUID = 236860958344644762L;

    private List<String> ipAddresses;

    private String hostName;

    private String osType;

    private Map<String, String> properties;

    public List<String> getIpAddresses() {
        return this.ipAddresses;
    }

    public void setIpAddresses(final List<String> ipAddresses) {
        this.ipAddresses = ipAddresses;
    }

    public String getHostName() {
        return this.hostName;
    }

    public void setHostName(final String hostName) {
        this.hostName = hostName;
    }

    public String getOsType() {
        return this.osType;
    }

    public void setOsType(final String osType) {
        this.osType = osType;
    }

    public Map<String, String> getProperties() {
        return this.properties;
    }

    public void setProperties(final Map<String, String> properties) {
        this.properties = properties;
    }

    @Override
    public String toString() {
        return "GuestInfo [hostName=" + this.hostName + ", ipAddresses=" + this.ipAddresses + ", osType=" + this.osType
            + ", properties=" + this.properties + "]";
    }

}
