/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: InvalidVMConfigException.java 91 2011-07-01 07:33:57Z dangtran $
 *
 */

package org.ow2.sirocco.vmm.api;

/**
 * Thrown if the a VM configuration is invalid
 */
public class InvalidVMConfigException extends VMMException {
    private static final long serialVersionUID = 7520334798463689289L;

    /**
     * Constructs a new exception with null as its detail message.
     */
    public InvalidVMConfigException() {
        super("Invalid configuration");
    }

    /**
     * Constructs a new exception with the specified detail message.
     * 
     * @param message detail message
     */
    public InvalidVMConfigException(final String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the specified cause and a detail message
     * of (cause==null ? null : cause.toString())
     * 
     * @param cause the cause
     */
    public InvalidVMConfigException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new exception with the specified cause and a detail message
     * of (cause==null ? null : cause.toString())
     * 
     * @param cause the cause
     */
    public InvalidVMConfigException(final Throwable cause) {
        super(cause);
    }

}
