/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ManagedResourceMXBean.java 590 2011-11-02 14:14:18Z dangtran $
 *
 */

package org.ow2.sirocco.vmm.api;

import java.util.Map;

import javax.management.ObjectName;

/**
 * Base management interface for VMM managed resources
 */
public interface ManagedResourceMXBean {
    /**
     * Return the name of the MXBean
     * 
     * @return the name of the MXBean
     */
    ObjectName getObjectName();

    /**
     * Return the path of the resource
     * 
     * @return the path of the resource
     */
    String getPath();

    /**
     * Returns the attributes of the resource
     * 
     * @return
     */
    Map<String, String> getAttributes();

}
